# Variable permissionMask`Const`

permissionMask: {
add: bigint;
delete: bigint;
edit: bigint;
none: bigint;
view: bigint;
} = ...

Predefined permission masks. More will be added in the future. Why not an enum? Enums can only use numbers but we need bigints sinec the permission mask can have more bits than what number supports.

#### Type declaration

- ##### `Readonly` add: bigint

- ##### `Readonly` delete: bigint

- ##### `Readonly` edit: bigint

- ##### `Readonly` none: bigint

- ##### `Readonly` view: bigint